> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# remove home

> Removes a sandbox/test home owned by the API credential. Uses the same homes:write scope as createHome.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/homes/{id}/remove
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/homes/{id}/remove:
    post:
      tags:
        - homes
      summary: remove home
      description: >-
        Removes a sandbox/test home owned by the API credential. Uses the same
        homes:write scope as createHome.
      operationId: removeHome
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientHomeDto'
              example:
                id: ws_home_123456789
                createdAt: '2025-01-02T12:00:00.000Z'
                updatedAt: '2025-01-02T12:00:00.000Z'
                name: My home
                userId: user_123456789
                UtilityId: '12199'
                ratePlanId: 6915de25881cbc6041e4c7f1
                unstructuredAddress: null
                timezone: America/Los_Angeles
                country: US
                city: San Francisco
                zipcode: '94107'
                streetAddress: 123 Market St
                meterId: null
                meterIdSource: null
                energyMarketBiddingEnabled: true
                enabled: true
                carbonSignalIntensity: MEDIUM
                channelPartnerId: null
        '400':
          description: Validation failure
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelopeDto'
              example:
                request_id: req_123
                error_code: VALIDATION_FAILED
                message: Request validation failed.
                field_errors:
                  - field: zipcode
                    message: zipcode is invalid
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelopeDto'
              example:
                request_id: req_123
                error_code: AUTH_MISSING_API_KEY
                message: Missing x-ws-api-key header.
                recovery_action: >-
                  Provide the x-ws-api-key header. If this contradicts the
                  public docs or OpenAPI contract, submit structured feedback
                  through /v1/feedback.
      security:
        - x-ws-api-key: []
        - x-ws-api-key: []
components:
  schemas:
    ClientHomeDto:
      type: object
      properties:
        id:
          type: string
        createdAt: {}
        updatedAt: {}
        name:
          type: string
          nullable: true
        userId:
          type: string
          nullable: true
        UtilityId:
          type: string
          nullable: true
        ratePlanId:
          type: string
          nullable: true
        unstructuredAddress:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        zipcode:
          type: string
          nullable: true
        streetAddress:
          type: string
          nullable: true
        meterId:
          type: string
          nullable: true
        meterIdSource:
          type: string
          nullable: true
        energyMarketBiddingEnabled:
          type: boolean
        enabled:
          type: boolean
          nullable: true
        carbonSignalIntensity:
          type: string
          enum:
            - LOW
            - MEDIUM
            - HIGH
          x-enumNames:
            - LOW
            - MEDIUM
            - HIGH
        modalHome:
          type: boolean
        channelPartnerId:
          type: string
          nullable: true
      required:
        - id
        - createdAt
        - updatedAt
        - energyMarketBiddingEnabled
        - carbonSignalIntensity
        - modalHome
    ApiErrorEnvelopeDto:
      type: object
      properties:
        request_id:
          type: string
          example: req_123
        error_code:
          type: string
          enum:
            - AUTH_MISSING_API_KEY
            - AUTH_INVALID_API_KEY
            - AUTH_EXPIRED_CREDENTIAL
            - AUTH_REVOKED_CREDENTIAL
            - AUTH_INSUFFICIENT_SCOPE
            - VALIDATION_FAILED
            - RATE_LIMITED
            - NOT_FOUND
            - FORBIDDEN
            - PRODUCTION_ACCESS_DENIED
            - INTERNAL_ERROR
          example: VALIDATION_FAILED
        message:
          type: string
          example: Request validation failed.
        recovery_action:
          type: string
          example: >-
            Provide the x-ws-api-key header. If this contradicts the public
            docs, submit feedback through /v1/feedback.
        field_errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiFieldErrorDto'
        retry_after_seconds:
          type: number
          example: 3600
      required:
        - request_id
        - error_code
        - message
    ApiFieldErrorDto:
      type: object
      properties:
        field:
          type: string
          example: zipcode
        message:
          type: string
          example: zipcode is invalid
      required:
        - message
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````